%--------------------------------------------------------------------%
%	    Alison Chaiken, sole author and maintainer     			     %
%        ------------------------------------------------------      %
%	    GUI-based Matlab and FEMLAB data analysis, instrument	     %
%	    control, statistical analysis, finite-element modelling,     %
%	    image acquisition and analysis          				     %
%       -------------------------------------------------------      %
%	    alchaiken@gmail.com			                    		     %
%	    http://www.exerciseforthereader.org/         			     %
%	    (001)650-279-5600					                         %
%--------------------------------------------------------------------%

gca=get(handles.SectionPlot,'CurrentAxes');
set(gca, 'YLim',[0;1])
set(gca, 'YTick',(0:0.2:1))
set(gcf,'Position',[0,(scnsize(4)-420),560,420])
ylabel('% Saturation')
xlabel('Position (\mum)')
%Must use curly brackets below to make the first element a cell, which
%means that trailing spaces are preserved
%title(strcat({'Section across '},get(handles.ImageFileName,'string')))
BetterWindowTitle

%xlabel('Pixel number')

% For 20x magnification, imagewidthximageheight is 266.66x200 microns.
% This gives a scale of 2.4 pixels per micron.
% This calibration comes from assuming nominal size for imprinted
% features.
% Then for Nx, ((266*20)/N)x((200*20)/N)
%if handles.rcflag=='h'
%axis([0 (300*20)/magn 0 1])
%set(gca, 'xtick',(0:((60*20)/magn):((300*20)/magn)))
%elseif handles.rcflag=='v'
%axis([0 ((200*20)/magn) 0 1])
%set(gca, 'xtick',(0:((50*20)/magn):((200*20)/magn)))
%end
%For 37x SEM image, 210 pixels = 1 mm.
%if handles.rcflag=='r'
%   axis([0 xscale 0 1])
%set(gca, 'xtick',(0.2*imagewidth:xscale)
%elseif handles.rcflag=='c'
%    axis([0 ((210*37)/magn) 0 1])
%    set(gca, 'xtick',(0:((50*20)/magn):((200*20)/magn)))
%end